package _VisualDVM.ProjectData.SapforData.Arrays;
import Common.Database.Tables.DataSet;
import Common.Visual.DataSetControlForm;
import _VisualDVM.ProjectData.SapforData.Arrays.UI.ProjectArraysForm;

import javax.swing.*;
public class ProjectArraysSet extends DataSet<Long, ProjectArray> {
    public ProjectArraysSet() {
        super(Long.class, ProjectArray.class);
    }
    @Override
    public String getSingleDescription() {
        return "массив";
    }
    @Override
    public String getPluralDescription() {
        return "объявленные массивы";
    }
    @Override
    protected DataSetControlForm createUI(JPanel mountPanel) {
        return new ProjectArraysForm(this, mountPanel);
    }
}
